- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Functions | Variables
Efl_Cxx_API

## Data Structures
struct | efl::eo::base
| A binding to the EO Base Class. More...
struct | efl::eo::detail::extension_inheritance< base >
struct | efl::eo::detail::extension_inheritance< base >::type< T >
struct | efl::eo::parent_type
| Type used to hold the parent passed to base Eo C++ constructors. More...
struct | efl::eo::parent_expr
| The expression type declaring the assignment operator used in the parent argument of the base Eo C++ class. More...
struct | efl::eo::inherit< D, E >
| Template-class that allows client code to inherit from EO C++ Classes without the need to make explicit calls to EO methods — that would naturally be necessary to register itself in the EO Subsystem. More...
struct | efl::eo::eo_init
| A simple RAII implementation to initialize and terminate the EO Subsystem. More...
struct | efl::eo::wref< T >
| Weak references to an EO Object. More...

## Functions
bool | efl::eo::operator== (base const &lhs, base const &rhs)
bool | efl::eo::operator!= (base const &lhs, base const &rhs)
template<typename T , typename U >
T | efl::eo::downcast (U object)
| Downcast `U` to `T`. More...

## Variables
parent_expr const | efl::eo::parent = {}
| Placeholder for the parent argument.

## Detailed Description

## Function Documentation

template<typename T , typename U >

T efl::eo::downcast | ( | U | object | ) |

Downcast `U` to `T`.

Parameters

  T | An EO C++ Class.
  U | An EO C++ Class.
  object | The target object.

Returns
  This function returns a new instance of `T` if the downcast is successful — otherwise it raises a `std::runtime_error`.